idlist64.h File Reference
`#include <gwenhywfar/gwenhywfarapi.h>`
`#include <gwenhywfar/types.h>`
`#include <gwenhywfar/simpleptrlist.h>`

Go to the source code of this file.

## Typedefs

typedef GWEN_SIMPLEPTRLIST | GWEN_IDLIST64
typedef struct GWEN_IDLIST64_ITERATOR | GWEN_IDLIST64_ITERATOR

## Functions

GWENHYWFAR_API int64_t | GWEN_IdList64_AddId (GWEN_IDLIST64 *idl, uint64_t id)
GWENHYWFAR_API void | GWEN_IdList64_Attach (GWEN_IDLIST64 *idl)
GWENHYWFAR_API void | GWEN_IdList64_Clear (GWEN_IDLIST64 *idl)
GWENHYWFAR_API int | GWEN_IdList64_DelId (GWEN_IDLIST64 *idl, uint64_t id)
GWENHYWFAR_API GWEN_IDLIST64 * | GWEN_IdList64_dup (const GWEN_IDLIST64 *oldList)
GWENHYWFAR_API void | GWEN_IdList64_free (GWEN_IDLIST64 *idl)
GWENHYWFAR_API uint64_t | GWEN_IdList64_GetEntryCount (const GWEN_IDLIST64 *idl)
GWENHYWFAR_API int64_t | GWEN_IdList64_GetIdAt (const GWEN_IDLIST64 *idl, uint64_t index)
GWENHYWFAR_API int | GWEN_IdList64_HasId (const GWEN_IDLIST64 *idl, uint64_t id)
GWENHYWFAR_API void | GWEN_IdList64_Iterator_free (GWEN_IDLIST64_ITERATOR *it)
GWENHYWFAR_API uint64_t | GWEN_IdList64_Iterator_GetFirstId (GWEN_IDLIST64_ITERATOR *it)
GWENHYWFAR_API uint64_t | GWEN_IdList64_Iterator_GetNextId (GWEN_IDLIST64_ITERATOR *it)
GWENHYWFAR_API GWEN_IDLIST64_ITERATOR * | GWEN_IdList64_Iterator_new (const GWEN_IDLIST64 *idl)
GWENHYWFAR_API GWEN_IDLIST64 * | GWEN_IdList64_LazyCopy (GWEN_IDLIST64 *oldList)
GWENHYWFAR_API GWEN_IDLIST64 * | GWEN_IdList64_new (void)
GWENHYWFAR_API GWEN_IDLIST64 * | GWEN_IdList64_newWithSteps (uint64_t steps)
GWENHYWFAR_API int | GWEN_IdList64_ReverseSort (GWEN_IDLIST64 *idl)
GWENHYWFAR_API int | GWEN_IdList64_Sort (GWEN_IDLIST64 *idl)

## Typedef Documentation

## GWEN_IDLIST64

typedef GWEN_SIMPLEPTRLIST GWEN_IDLIST64

Definition at line 42 of file idlist64.h.

## GWEN_IDLIST64_ITERATOR

typedef struct GWEN_IDLIST64_ITERATOR GWEN_IDLIST64_ITERATOR

Definition at line 43 of file idlist64.h.

## Function Documentation

## GWEN_IdList64_AddId()

GWENHYWFAR_API int64_t GWEN_IdList64_AddId | ( | GWEN_IDLIST64 * | idl,
|  | uint64_t | id )

Adds an id to the list, returns its index. This function does no doublecheck.

References GWENHYWFAR_API.

## GWEN_IdList64_Attach()

GWENHYWFAR_API void GWEN_IdList64_Attach | ( | GWEN_IDLIST64 * | idl | ) |

References GWENHYWFAR_API.

## GWEN_IdList64_Clear()

GWENHYWFAR_API void GWEN_IdList64_Clear | ( | GWEN_IDLIST64 * | idl | ) |

References GWENHYWFAR_API.

## GWEN_IdList64_DelId()

GWENHYWFAR_API int GWEN_IdList64_DelId | ( | GWEN_IDLIST64 * | idl,
|  | uint64_t | id )

Removes the first occurrence of the given id.

Returns
  0 if deleted, !=0 if the id wasn't found

References GWENHYWFAR_API.

## GWEN_IdList64_dup()

GWENHYWFAR_API GWEN_IDLIST64 * GWEN_IdList64_dup | ( | const GWEN_IDLIST64 * | oldList | ) |

References GWENHYWFAR_API.

## GWEN_IdList64_free()

GWENHYWFAR_API void GWEN_IdList64_free | ( | GWEN_IDLIST64 * | idl | ) |

References GWENHYWFAR_API.

## GWEN_IdList64_GetEntryCount()

GWENHYWFAR_API uint64_t GWEN_IdList64_GetEntryCount | ( | const GWEN_IDLIST64 * | idl | ) |

References GWENHYWFAR_API.

## GWEN_IdList64_GetIdAt()

GWENHYWFAR_API int64_t GWEN_IdList64_GetIdAt | ( | const GWEN_IDLIST64 * | idl,
|  | uint64_t | index )

References GWENHYWFAR_API.

## GWEN_IdList64_HasId()

GWENHYWFAR_API int GWEN_IdList64_HasId | ( | const GWEN_IDLIST64 * | idl,
|  | uint64_t | id )

Checks whether the given id exists in the idlist.

Returns
  1 if found, 0 otherwise

References GWENHYWFAR_API.

## GWEN_IdList64_Iterator_free()

GWENHYWFAR_API void GWEN_IdList64_Iterator_free | ( | GWEN_IDLIST64_ITERATOR * | it | ) |

References GWENHYWFAR_API.

## GWEN_IdList64_Iterator_GetFirstId()

GWENHYWFAR_API uint64_t GWEN_IdList64_Iterator_GetFirstId | ( | GWEN_IDLIST64_ITERATOR * | it | ) |

References GWENHYWFAR_API.

## GWEN_IdList64_Iterator_GetNextId()

GWENHYWFAR_API uint64_t GWEN_IdList64_Iterator_GetNextId | ( | GWEN_IDLIST64_ITERATOR * | it | ) |

References GWENHYWFAR_API.

## GWEN_IdList64_Iterator_new()

GWENHYWFAR_API GWEN_IDLIST64_ITERATOR * GWEN_IdList64_Iterator_new | ( | const GWEN_IDLIST64 * | idl | ) |

References GWENHYWFAR_API.

## GWEN_IdList64_LazyCopy()

GWENHYWFAR_API GWEN_IDLIST64 * GWEN_IdList64_LazyCopy | ( | GWEN_IDLIST64 * | oldList | ) |

References GWENHYWFAR_API.

## GWEN_IdList64_new()

GWENHYWFAR_API GWEN_IDLIST64 * GWEN_IdList64_new | ( | void |  | ) |

References GWENHYWFAR_API.

## GWEN_IdList64_newWithSteps()

GWENHYWFAR_API GWEN_IDLIST64 * GWEN_IdList64_newWithSteps | ( | uint64_t | steps | ) |

References GWENHYWFAR_API.

## GWEN_IdList64_ReverseSort()

GWENHYWFAR_API int GWEN_IdList64_ReverseSort | ( | GWEN_IDLIST64 * | idl | ) |

References GWENHYWFAR_API.

## GWEN_IdList64_Sort()

GWENHYWFAR_API int GWEN_IdList64_Sort | ( | GWEN_IDLIST64 * | idl | ) |

Sorts the ids in ascending order

References GWENHYWFAR_API.